Bug 198509 - [PATCH]: Update security/tor-devel to 0.2.6.4-rc
Summary: [PATCH]: Update security/tor-devel to 0.2.6.4-rc
Status: Closed DUPLICATE of bug 198710
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Brendan Fabeny
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-10 20:40 UTC by Neel Chauhan
Modified: 2015-03-19 16:54 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bf)


Attachments
Patch to update security/tor to 0.2.6.4-rc (818 bytes, patch)
2015-03-10 20:40 UTC, Neel Chauhan
no flags Details | Diff
poudriere build log for security/tor 0.2.6.4-devel (818 bytes, text/plain)
2015-03-10 20:41 UTC, Neel Chauhan
no flags Details
poudriere build log for security/tor 0.2.6.4-rc (43.66 KB, text/x-log)
2015-03-10 20:42 UTC, Neel Chauhan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan freebsd_committer 2015-03-10 20:40:09 UTC
Created attachment 154167 [details]
Patch to update security/tor to 0.2.6.4-rc

Hi,
I have a patch to update the port security/tor-devel to 0.2.6.4-alpha. The patch is attached, and the poudriere build log will be uploaded shortly.
Thanks,
Neel
Comment 1 Neel Chauhan freebsd_committer 2015-03-10 20:41:05 UTC
Created attachment 154168 [details]
poudriere build log for security/tor 0.2.6.4-devel

Also, here is the poudriere build log.
-Neel
Comment 2 Neel Chauhan freebsd_committer 2015-03-10 20:41:36 UTC
Comment on attachment 154168 [details]
poudriere build log for security/tor 0.2.6.4-devel

====>> Building security/tor-devel
build started at Tue Mar 10 16:35:02 EDT 2015
port directory: /usr/ports/security/tor-devel
building for: FreeBSD fbsdport-ports-job-01 10.1-RELEASE-p5 FreeBSD 10.1-RELEASE-p5 amd64
maintained by: bf@FreeBSD.org
Makefile ident:      $FreeBSD: head/security/tor-devel/Makefile 380776 2015-03-08 15:51:58Z bf $
Poudriere version: 3.1.1
Host OSVERSION: 1001000
Jail OSVERSION: 1001000

---Begin Environment---
OSVERSION=1001000
UNAME_v=FreeBSD 10.1-RELEASE-p5
UNAME_r=10.1-RELEASE-p5
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
WARNING_WAIT=0
SAVED_TERM=screen
MASTERMNT=/usr/poudriere/data/.m/fbsdport-ports/ref
NO_WARNING_PKG_INSTALL_EOL=yes
FORCE_PACKAGE=yes
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=tor-devel-0.2.6.4.r
OLDPWD=/
PWD=/usr/poudriere/data/.m/fbsdport-ports/ref/.p/pool
MASTERNAME=fbsdport-ports
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.1
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
DEV_WARNING_WAIT=0
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for tor-devel-0.2.6.4.r:
     BUFFEREVENTS=off: Use libevent's buffered IO
     INSTR_DOWNLOADS=off: Instrument downloads for analysis
     STATIC_TOR=off: Build a static tor
     TCMALLOC=off: Use the tcmalloc memory allocation library
     TOR2WEB=off: Faster but non-anonymous hidden services
     TRANSPARENT=on: Transparent proxy support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--with-openssl-dir="/usr" --disable-asciidoc --enable-gcc-hardening --disable-bufferevents --disable-instrument-downloads --enable-linker-hardening --enable-transparent --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TOR_CPPFLAGS_libevent="-I/usr/local/include"  TOR_LDFLAGS_libevent="-L/usr/local/lib/"  TOR_LIBEVENT_LIBS="-levent" XDG_DATA_HOME=/wrkdirs/usr/ports/security/tor-devel/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/security/tor-devel/work  HOME=/wrkdirs/usr/ports/security/tor-devel/work TMPDIR="/tmp" XDG_DATA_HOME=/wrkdirs/usr/ports/security/tor-devel/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/security/tor-devel/work  HOME=/wrkdirs/usr/ports/security/tor-devel/work TMPDIR="/tmp" MAKE=gmake SHELL=/bin/sh CONFIG_SHELL=/bin/sh CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/security/tor-devel/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/security/tor-devel/work  HOME=/wrkdirs/usr/ports/security/tor-devel/work TMPDIR="/tmp" XDG_DATA_HOME=/wrkdirs/usr/ports/security/tor-devel/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/security/tor-devel/work  HOME=/wrkdirs/usr/ports/security/tor-devel/work TMPDIR="/tmp" OPENSSLLIB=/usr/lib OPENSSLINC=/usr/include  OPENSSLBASE=/usr OPENSSLDIR=/etc/ssl NO_PIE=yes SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -Wl,-rpath,/usr/lib:/usr/local/lib -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  BSD_INSTALL_DATA="install  -o root -g wheel -m 0644"  BSD_INSTALL_MAN="install  -o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=10.1
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/tor"
EXAMPLESDIR="share/examples/tor"
DATADIR="share/tor"
WWWDIR="www/tor"
ETCDIR="etc/tor"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/tor
DOCSDIR=/usr/local/share/doc/tor
EXAMPLESDIR=/usr/local/share/examples/tor
WWWDIR=/usr/local/www/tor
ETCDIR=/usr/local/etc/tor
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License BSD3CLAUSE accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   tor-devel-0.2.6.4.r depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.4.12.txz
[fbsdport-ports-job-01] Installing pkg-1.4.12...
[fbsdport-ports-job-01] Extracting pkg-1.4.12... done
Message for pkg-1.4.12:
 If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of tor-devel-0.2.6.4.r
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License BSD3CLAUSE accepted by the user
===>   tor-devel-0.2.6.4.r depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by tor-devel-0.2.6.4.r for building
===========================================================================
=======================<phase: checksum       >============================
===>  License BSD3CLAUSE accepted by the user
===>   tor-devel-0.2.6.4.r depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by tor-devel-0.2.6.4.r for building
=> SHA256 Checksum OK for tor-0.2.6.4-rc.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License BSD3CLAUSE accepted by the user
===>   tor-devel-0.2.6.4.r depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by tor-devel-0.2.6.4.r for building
===>  Extracting for tor-devel-0.2.6.4.r
=> SHA256 Checksum OK for tor-0.2.6.4-rc.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for tor-devel-0.2.6.4.r
===>  Applying FreeBSD patches for tor-devel-0.2.6.4.r
===========================================================================
=======================<phase: build-depends  >============================
===>   tor-devel-0.2.6.4.r depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-4.1_1.txz
[fbsdport-ports-job-01] Installing gmake-4.1_1...
[fbsdport-ports-job-01] `-- Installing gettext-runtime-0.19.4...
[fbsdport-ports-job-01] |   `-- Installing indexinfo-0.2.2...
[fbsdport-ports-job-01] |   `-- Extracting indexinfo-0.2.2... done
[fbsdport-ports-job-01] `-- Extracting gettext-runtime-0.19.4... done
[fbsdport-ports-job-01] Extracting gmake-4.1_1... done
===>   Returning to build of tor-devel-0.2.6.4.r
===========================================================================
=======================<phase: lib-depends    >============================
===>   tor-devel-0.2.6.4.r depends on shared library: libevent.so - not found
===>    Verifying for libevent.so in /usr/ports/devel/libevent2
===>   Installing existing package /packages/All/libevent2-2.0.22_1.txz
[fbsdport-ports-job-01] Installing libevent2-2.0.22_1...
[fbsdport-ports-job-01] Extracting libevent2-2.0.22_1... done
===>   Returning to build of tor-devel-0.2.6.4.r
===========================================================================
====>> Recording filesystem state for prebuild... done
=======================<phase: configure      >============================
===>   tor-devel-0.2.6.4.r depends on executable: gmake - found
===>   tor-devel-0.2.6.4.r depends on shared library: libevent.so - found (/usr/local/lib/libevent-2.0.so.5.1.10)
===>  Configuring for tor-devel-0.2.6.4.r
configure: loading site script /usr/ports/Templates/config.site
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether gmake sets $(MAKE)... yes
checking whether gmake supports nested variables... yes
checking whether gmake supports nested variables... (cached) yes
checking build system type... amd64-portbld-freebsd10.1
checking host system type... amd64-portbld-freebsd10.1
checking for pkg-config... no
checking for SYSTEMD... no
configure: Okay, checking for systemd a different way...
checking for SYSTEMD... no
checking for ar... ar
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking whether cc understands -c and -o together... yes
checking for style of include used by gmake... GNU
checking dependency style of cc... gcc3
checking how to run the C preprocessor... cpp
checking whether gmake sets $(MAKE)... (cached) yes
checking for ranlib... ranlib
checking for sed... (cached) /usr/bin/sed
checking for asciidoc... none
checking for a2x... no
checking for a2x.py... no
checking for cc option to accept ISO C99... none needed
checking for python... no
checking for python2... no
checking for python2.7... no
checking for python3... no
checking for python3.3... no
configure: WARNING: Python unavailable; some tests will not be run.
checking for flexible array members... yes
checking for working C99 mid-block declaration syntax... yes
checking for working C99 designated initializers... yes
checking for sha1sum... none
checking for openssl... /usr/bin/openssl
checking for win32... no
checking for MIPSpro compiler... no
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for strings.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking whether byte ordering is bigendian... no
checking for library containing socket... none required
checking for library containing gethostbyname... none required
checking for library containing dlopen... none required
checking for library containing inet_aton... none required
checking for library containing clock_gettime... none required
checking for library containing pthread_create... -lpthread
checking for library containing pthread_detach... none required
checking for _NSGetEnviron... no
checking for accept4... yes
checking for backtrace... no
checking for backtrace_symbols_fd... no
checking for clock_gettime... (cached) yes
checking for eventfd... no
checking for flock... yes
checking for ftime... no
checking for getaddrinfo... (cached) yes
checking for getifaddrs... yes
checking for getrlimit... (cached) yes
checking for gettimeofday... (cached) yes
checking for gmtime_r... yes
checking for inet_aton... (cached) yes
checking for ioctl... yes
checking for issetugid... (cached) yes
checking for llround... no
checking for localtime_r... yes
checking for lround... no
checking for memmem... yes
checking for pipe... (cached) yes
checking for pipe2... yes
checking for prctl... no
checking for rint... no
checking for sigaction... (cached) yes
checking for socketpair... (cached) yes
checking for strlcat... (cached) yes
checking for strlcpy... (cached) yes
checking for strnlen... (cached) yes
checking for strptime... (cached) yes
checking for strtok_r... yes
checking for strtoull... (cached) yes
checking for sysconf... (cached) yes
checking for sysctl... yes
checking for uname... (cached) yes
checking for usleep... (cached) yes
checking for vasprintf... (cached) yes
checking for _vscprintf... no
checking pthread.h usability... yes
checking pthread.h presence... yes
checking for pthread.h... yes
checking for pthread_create... yes
checking for sys/types.h... (cached) yes
checking for u_int64_t... yes
checking for u_int32_t... (cached) yes
checking for u_int16_t... (cached) yes
checking for u_int8_t... (cached) yes
checking for event_get_version... yes
checking for event_get_version_number... yes
checking for event_get_method... yes
checking for event_set_log_callback... yes
checking for evutil_secure_rng_set_urandom_device_file... yes
checking for evutil_secure_rng_init... yes
checking for event_base_loopexit... yes
checking for struct event.min_heap_idx... no
checking event2/event.h usability... yes
checking event2/event.h presence... yes
checking for event2/event.h... yes
checking event2/dns.h usability... yes
checking event2/dns.h presence... yes
checking for event2/dns.h... yes
checking event2/bufferevent_ssl.h usability... yes
checking event2/bufferevent_ssl.h presence... yes
checking for event2/bufferevent_ssl.h... yes
checking for library containing pow... -lm
checking for openssl directory... /usr
checking whether we need extra options to link openssl... (none)
checking for struct ssl_method_st.get_cipher_by_char... yes
checking for zlib directory... (system)
checking whether we need extra options to link zlib... (none)
checking whether the compiler accepts -Qunused-arguments... yes
checking whether the compiler accepts -fstack-protector-all... yes
checking whether the compiler accepts -Wstack-protector... yes
checking whether the compiler accepts -fwrapv... yes
checking whether the compiler accepts --param ssp-buffer-size=1... yes
checking whether the compiler accepts -fPIE... yes
checking whether the linker accepts -pie... yes
checking whether the linker accepts -Wl,-z,relro -Wl,-z,now... yes
checking whether the linker accepts -rdynamic... yes
checking whether the compiler accepts -fomit-frame-pointer... yes
checking whether the compiler accepts -fasynchronous-unwind-tables... yes
checking seccomp.h usability... no
checking seccomp.h presence... no
checking for seccomp.h... no
checking for library containing seccomp_init... no
checking libscrypt.h usability... no
checking libscrypt.h presence... no
checking for libscrypt.h... no
checking for library containing libscrypt_scrypt... no
checking whether we can use curve25519-donna-c64... yes
checking crypto_scalarmult_curve25519.h usability... no
checking crypto_scalarmult_curve25519.h presence... no
checking for crypto_scalarmult_curve25519.h... no
checking nacl/crypto_scalarmult_curve25519.h usability... no
checking nacl/crypto_scalarmult_curve25519.h presence... no
checking for nacl/crypto_scalarmult_curve25519.h... no
checking for nacl compiled with a fast curve25519 implementation... no
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking assert.h usability... yes
checking assert.h presence... yes
checking for assert.h... yes
checking for errno.h... (cached) yes
checking for fcntl.h... (cached) yes
checking for signal.h... (cached) yes
checking for string.h... (cached) yes
checking for sys/fcntl.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for sys/time.h... (cached) yes
checking for sys/types.h... (cached) yes
checking for time.h... (cached) yes
checking for unistd.h... (cached) yes
checking for arpa/inet.h... (cached) yes
checking crt_externs.h usability... no
checking crt_externs.h presence... no
checking for crt_externs.h... no
checking execinfo.h usability... yes
checking execinfo.h presence... yes
checking for execinfo.h... yes
checking grp.h usability... yes
checking grp.h presence... yes
checking for grp.h... yes
checking ifaddrs.h usability... yes
checking ifaddrs.h presence... yes
checking for ifaddrs.h... yes
checking for inttypes.h... (cached) yes
checking for limits.h... (cached) yes
checking linux/types.h usability... no
checking linux/types.h presence... no
checking for linux/types.h... no
checking machine/limits.h usability... yes
checking machine/limits.h presence... yes
checking for machine/limits.h... yes
checking for malloc.h... (cached) no
checking malloc/malloc.h usability... no
checking malloc/malloc.h presence... no
checking for malloc/malloc.h... no
checking malloc_np.h usability... yes
checking malloc_np.h presence... yes
checking for malloc_np.h... yes
checking for netdb.h... (cached) yes
checking for netinet/in.h... (cached) yes
checking netinet/in6.h usability... no
checking netinet/in6.h presence... no
checking for netinet/in6.h... no
checking for pwd.h... (cached) yes
checking for stdint.h... (cached) yes
checking sys/eventfd.h usability... no
checking sys/eventfd.h presence... no
checking for sys/eventfd.h... no
checking for sys/file.h... (cached) yes
checking for sys/ioctl.h... (cached) yes
checking sys/limits.h usability... yes
checking sys/limits.h presence... yes
checking for sys/limits.h... yes
checking for sys/mman.h... (cached) yes
checking for sys/param.h... (cached) yes
checking sys/prctl.h usability... no
checking sys/prctl.h presence... no
checking for sys/prctl.h... no
checking sys/resource.h usability... yes
checking sys/resource.h presence... yes
checking for sys/resource.h... yes
checking for sys/select.h... (cached) yes
checking for sys/socket.h... (cached) yes
checking sys/sysctl.h usability... yes
checking sys/sysctl.h presence... yes
checking for sys/sysctl.h... yes
checking sys/syslimits.h usability... yes
checking sys/syslimits.h presence... no
configure: WARNING: sys/syslimits.h: accepted by the compiler, rejected by the preprocessor!
configure: WARNING: sys/syslimits.h: proceeding with the compiler's result
checking for sys/syslimits.h... yes
checking for sys/time.h... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/un.h... (cached) yes
checking sys/utime.h usability... no
checking sys/utime.h presence... no
checking for sys/utime.h... no
checking for sys/wait.h... (cached) yes
checking syslog.h usability... yes
checking syslog.h presence... yes
checking for syslog.h... yes
checking for utime.h... (cached) yes
checking for sys/param.h... (cached) yes
checking for net/if.h... (cached) yes
checking for net/pfvar.h... yes
checking for linux/if.h... no
checking for linux/netfilter_ipv4.h... no
checking for linux/netfilter_ipv6/ip6_tables.h... no
checking for struct timeval.tv_sec... yes
checking size of int8_t... 1
checking size of int16_t... 2
checking size of int32_t... 4
checking size of int64_t... 8
checking size of uint8_t... 1
checking size of uint16_t... 2
checking size of uint32_t... 4
checking size of uint64_t... 8
checking size of intptr_t... 8
checking size of uintptr_t... 8
checking size of char... 1
checking size of short... 2
checking size of int... 4
checking size of long... 8
checking size of long long... 8
checking size of __int64... 0
checking size of void *... 8
checking size of time_t... 8
checking size of size_t... 8
checking size of pid_t... 4
checking for uint... yes
checking for u_char... (cached) yes
checking for ssize_t... (cached) yes
checking for ucontext.h... (cached) yes
checking sys/ucontext.h usability... yes
checking sys/ucontext.h presence... yes
checking for sys/ucontext.h... yes
checking cygwin/signal.h usability... no
checking cygwin/signal.h presence... no
checking for cygwin/signal.h... no
checking how to access the program counter from a struct ucontext... uc_mcontext.mc_rip
checking for struct in6_addr... yes
checking for struct sockaddr_in6... yes
checking for sa_family_t... yes
checking for struct in6_addr.s6_addr32... no
checking for struct in6_addr.s6_addr16... no
checking for struct sockaddr_in.sin_len... yes
checking for struct sockaddr_in6.sin6_len... yes
checking for rlim_t... yes
checking whether time_t is signed... yes
checking whether size_t is signed... no
checking whether enum always is signed... no
checking size of socklen_t... 4
checking size of cell_t... 0
checking whether memset(0) sets pointers to NULL... yes
checking whether memset(0) sets doubles to 0.0... yes
checking whether we can malloc(0) safely.... yes
checking whether we are using 2s-complement arithmetic... yes
checking whether right-shift on negative values does sign-extension... yes
checking whether to use dmalloc (debug memory allocation library)... no
checking for mallinfo... no
checking for mlockall... yes
checking whether mlockall is declared... yes
checking for getresuid... yes
checking for getresgid... yes
checking for gethostbyname_r... yes
checking how many arguments gethostbyname_r() wants... 6
checking whether the C compiler supports __func__... yes
checking whether the C compiler supports __FUNC__... no
checking whether the C compiler supports __FUNCTION__... yes
checking whether we have extern char **environ already declared... no
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Doxyfile
config.status: creating Makefile
config.status: creating contrib/dist/suse/tor.sh
config.status: creating contrib/operator-tools/tor.logrotate
config.status: creating contrib/dist/tor.sh
config.status: creating contrib/dist/torctl
config.status: creating contrib/dist/tor.service
config.status: creating src/config/torrc.sample
config.status: creating src/config/torrc.minimal
config.status: creating orconfig.h
config.status: executing depfiles commands
===========================================================================
=======================<phase: build          >============================
===>  Building for tor-devel-0.2.6.4.r
gmake[1]: Entering directory '/wrkdirs/usr/ports/security/tor-devel/work/tor-0.2.6.4-rc'
gmake  all-am
gmake[2]: Entering directory '/wrkdirs/usr/ports/security/tor-devel/work/tor-0.2.6.4-rc'
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_0.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_1.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_add.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_cmov.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_copy.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_frombytes.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_invert.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_isnegative.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_isnonzero.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_mul.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_neg.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_pow22523.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_sq.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_sq2.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_sub.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-fe_tobytes.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_add.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_double_scalarmult.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_frombytes.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_madd.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_msub.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_p1p1_to_p2.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_p1p1_to_p3.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_p2_0.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_p2_dbl.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_p3_0.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_p3_dbl.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_p3_to_cached.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_p3_to_p2.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_p3_tobytes.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_precomp_0.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_scalarmult_base.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_sub.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-ge_tobytes.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-keypair.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-open.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-sc_muladd.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-sc_reduce.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-sign.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-keyconv.o
  CC       src/ext/ed25519/ref10/src_ext_ed25519_ref10_libed25519_ref10_a-blinding.o
  AR       src/ext/ed25519/ref10/libed25519_ref10.a
  CC       src/ext/trunnel/src_trunnel_libor_trunnel_a-trunnel.o
  CC       src/trunnel/src_trunnel_libor_trunnel_a-pwbox.o
  AR       src/trunnel/libor-trunnel.a
  CC       src/ext/trunnel/src_trunnel_libor_trunnel_testing_a-trunnel.o
  CC       src/trunnel/src_trunnel_libor_trunnel_testing_a-pwbox.o
  AR       src/trunnel/libor-trunnel-testing.a
  CC       src/common/address.o
  CC       src/common/backtrace.o
  CC       src/common/compat.o
  CC       src/common/compat_threads.o
  CC       src/common/container.o
  CC       src/common/di_ops.o
  CC       src/common/log.o
  CC       src/common/memarea.o
  CC       src/common/util.o
  CC       src/common/util_codedigest.o
  CC       src/common/util_process.o
  CC       src/common/sandbox.o
  CC       src/common/workqueue.o
  CC       src/ext/csiphash.o
  CC       src/ext/trunnel/trunnel.o
  CC       src/common/compat_pthreads.o
  AR       src/common/libor.a
  CC       src/common/aes.o
  CC       src/common/crypto.o
  CC       src/common/crypto_pwbox.o
  CC       src/common/crypto_s2k.o
  CC       src/common/crypto_format.o
  CC       src/common/torgzip.o
  CC       src/common/tortls.o
  CC       src/trunnel/pwbox.o
  CC       src/common/crypto_curve25519.o
  CC       src/common/crypto_ed25519.o
  AR       src/common/libor-crypto.a
  CC       src/common/compat_libevent.o
  CC       src/common/procmon.o
  AR       src/common/libor-event.a
  CC       src/common/src_common_libor_testing_a-address.o
  CC       src/common/src_common_libor_testing_a-backtrace.o
  CC       src/common/src_common_libor_testing_a-compat.o
  CC       src/common/src_common_libor_testing_a-compat_threads.o
  CC       src/common/src_common_libor_testing_a-container.o
  CC       src/common/src_common_libor_testing_a-di_ops.o
  CC       src/common/src_common_libor_testing_a-log.o
  CC       src/common/src_common_libor_testing_a-memarea.o
  CC       src/common/src_common_libor_testing_a-util.o
  CC       src/common/src_common_libor_testing_a-util_codedigest.o
  CC       src/common/src_common_libor_testing_a-util_process.o
  CC       src/common/src_common_libor_testing_a-sandbox.o
  CC       src/common/src_common_libor_testing_a-workqueue.o
  CC       src/ext/src_common_libor_testing_a-csiphash.o
  CC       src/ext/trunnel/src_common_libor_testing_a-trunnel.o
  CC       src/common/src_common_libor_testing_a-compat_pthreads.o
  AR       src/common/libor-testing.a
  CC       src/common/src_common_libor_crypto_testing_a-aes.o
  CC       src/common/src_common_libor_crypto_testing_a-crypto.o
  CC       src/common/src_common_libor_crypto_testing_a-crypto_pwbox.o
  CC       src/common/src_common_libor_crypto_testing_a-crypto_s2k.o
  CC       src/common/src_common_libor_crypto_testing_a-crypto_format.o
  CC       src/common/src_common_libor_crypto_testing_a-torgzip.o
  CC       src/common/src_common_libor_crypto_testing_a-tortls.o
  CC       src/trunnel/src_common_libor_crypto_testing_a-pwbox.o
  CC       src/common/src_common_libor_crypto_testing_a-crypto_curve25519.o
  CC       src/common/src_common_libor_crypto_testing_a-crypto_ed25519.o
  AR       src/common/libor-crypto-testing.a
  CC       src/common/src_common_libor_event_testing_a-compat_libevent.o
  CC       src/common/src_common_libor_event_testing_a-procmon.o
  AR       src/common/libor-event-testing.a
  CC       src/ext/curve25519_donna/src_common_libcurve25519_donna_a-curve25519-donna-c64.o
  AR       src/common/libcurve25519_donna.a
  CC       src/or/addressmap.o
  CC       src/or/buffers.o
  CC       src/or/channel.o
  CC       src/or/channeltls.o
  CC       src/or/circpathbias.o
  CC       src/or/circuitbuild.o
  CC       src/or/circuitlist.o
  CC       src/or/circuitmux.o
  CC       src/or/circuitmux_ewma.o
  CC       src/or/circuitstats.o
  CC       src/or/circuituse.o
  CC       src/or/command.o
  CC       src/or/config.o
  CC       src/or/confparse.o
  CC       src/or/connection.o
  CC       src/or/connection_edge.o
  CC       src/or/connection_or.o
  CC       src/or/control.o
  CC       src/or/cpuworker.o
  CC       src/or/directory.o
  CC       src/or/dirserv.o
  CC       src/or/dirvote.o
  CC       src/or/dns.o
  CC       src/or/dnsserv.o
  CC       src/or/fp_pair.o
  CC       src/or/geoip.o
  CC       src/or/entrynodes.o
  CC       src/or/ext_orport.o
  CC       src/or/hibernate.o
  CC       src/or/main.o
  CC       src/or/microdesc.o
  CC       src/or/networkstatus.o
  CC       src/or/nodelist.o
  CC       src/or/onion.o
  CC       src/or/onion_fast.o
  CC       src/or/onion_tap.o
  CC       src/or/transports.o
  CC       src/or/policies.o
  CC       src/or/reasons.o
  CC       src/or/relay.o
  CC       src/or/rendclient.o
  CC       src/or/rendcommon.o
  CC       src/or/rendmid.o
  CC       src/or/rendservice.o
  CC       src/or/rephist.o
  CC       src/or/replaycache.o
  CC       src/or/router.o
  CC       src/or/routerlist.o
  CC       src/or/routerparse.o
  CC       src/or/routerset.o
  CC       src/or/scheduler.o
  CC       src/or/statefile.o
  CC       src/or/status.o
  CC       src/or/onion_ntor.o
  CC       src/or/config_codedigest.o
  AR       src/or/libtor.a
  CC       src/or/src_or_libtor_testing_a-addressmap.o
  CC       src/or/src_or_libtor_testing_a-buffers.o
  CC       src/or/src_or_libtor_testing_a-channel.o
  CC       src/or/src_or_libtor_testing_a-channeltls.o
  CC       src/or/src_or_libtor_testing_a-circpathbias.o
  CC       src/or/src_or_libtor_testing_a-circuitbuild.o
  CC       src/or/src_or_libtor_testing_a-circuitlist.o
  CC       src/or/src_or_libtor_testing_a-circuitmux.o
  CC       src/or/src_or_libtor_testing_a-circuitmux_ewma.o
  CC       src/or/src_or_libtor_testing_a-circuitstats.o
  CC       src/or/src_or_libtor_testing_a-circuituse.o
  CC       src/or/src_or_libtor_testing_a-command.o
  CC       src/or/src_or_libtor_testing_a-config.o
  CC       src/or/src_or_libtor_testing_a-confparse.o
  CC       src/or/src_or_libtor_testing_a-connection.o
  CC       src/or/src_or_libtor_testing_a-connection_edge.o
  CC       src/or/src_or_libtor_testing_a-connection_or.o
  CC       src/or/src_or_libtor_testing_a-control.o
  CC       src/or/src_or_libtor_testing_a-cpuworker.o
  CC       src/or/src_or_libtor_testing_a-directory.o
  CC       src/or/src_or_libtor_testing_a-dirserv.o
  CC       src/or/src_or_libtor_testing_a-dirvote.o
  CC       src/or/src_or_libtor_testing_a-dns.o
  CC       src/or/src_or_libtor_testing_a-dnsserv.o
  CC       src/or/src_or_libtor_testing_a-fp_pair.o
  CC       src/or/src_or_libtor_testing_a-geoip.o
  CC       src/or/src_or_libtor_testing_a-entrynodes.o
  CC       src/or/src_or_libtor_testing_a-ext_orport.o
  CC       src/or/src_or_libtor_testing_a-hibernate.o
  CC       src/or/src_or_libtor_testing_a-main.o
  CC       src/or/src_or_libtor_testing_a-microdesc.o
  CC       src/or/src_or_libtor_testing_a-networkstatus.o
  CC       src/or/src_or_libtor_testing_a-nodelist.o
  CC       src/or/src_or_libtor_testing_a-onion.o
  CC       src/or/src_or_libtor_testing_a-onion_fast.o
  CC       src/or/src_or_libtor_testing_a-onion_tap.o
  CC       src/or/src_or_libtor_testing_a-transports.o
  CC       src/or/src_or_libtor_testing_a-policies.o
  CC       src/or/src_or_libtor_testing_a-reasons.o
  CC       src/or/src_or_libtor_testing_a-relay.o
  CC       src/or/src_or_libtor_testing_a-rendclient.o
  CC       src/or/src_or_libtor_testing_a-rendcommon.o
  CC       src/or/src_or_libtor_testing_a-rendmid.o
  CC       src/or/src_or_libtor_testing_a-rendservice.o
  CC       src/or/src_or_libtor_testing_a-rephist.o
  CC       src/or/src_or_libtor_testing_a-replaycache.o
  CC       src/or/src_or_libtor_testing_a-router.o
  CC       src/or/src_or_libtor_testing_a-routerlist.o
  CC       src/or/src_or_libtor_testing_a-routerparse.o
  CC       src/or/src_or_libtor_testing_a-routerset.o
  CC       src/or/src_or_libtor_testing_a-scheduler.o
  CC       src/or/src_or_libtor_testing_a-statefile.o
  CC       src/or/src_or_libtor_testing_a-status.o
  CC       src/or/src_or_libtor_testing_a-onion_ntor.o
  CC       src/or/src_or_libtor_testing_a-config_codedigest.o
  AR       src/or/libtor-testing.a
  CC       src/or/tor_main.o
  CCLD     src/or/tor
  CC       src/tools/tor-resolve.o
  CCLD     src/tools/tor-resolve
  CC       src/tools/tor-gencert.o
  CCLD     src/tools/tor-gencert
  CC       src/test/bench.o
  CCLD     src/test/bench
  CC       src/test/src_test_test-test.o
  CC       src/test/src_test_test-test_accounting.o
  CC       src/test/src_test_test-test_addr.o
  CC       src/test/src_test_test-test_address.o
  CC       src/test/src_test_test-test_buffers.o
  CC       src/test/src_test_test-test_cell_formats.o
  CC       src/test/src_test_test-test_cell_queue.o
  CC       src/test/src_test_test-test_channel.o
  CC       src/test/src_test_test-test_channeltls.o
  CC       src/test/src_test_test-test_checkdir.o
  CC       src/test/src_test_test-test_circuitlist.o
  CC       src/test/src_test_test-test_circuitmux.o
  CC       src/test/src_test_test-test_config.o
  CC       src/test/src_test_test-test_containers.o
  CC       src/test/src_test_test-test_controller_events.o
  CC       src/test/src_test_test-test_crypto.o
  CC       src/test/src_test_test-test_data.o
  CC       src/test/src_test_test-test_dir.o
  CC       src/test/src_test_test-test_entryconn.o
  CC       src/test/src_test_test-test_entrynodes.o
  CC       src/test/src_test_test-test_guardfraction.o
  CC       src/test/src_test_test-test_extorport.o
  CC       src/test/src_test_test-test_hs.o
  CC       src/test/src_test_test-test_introduce.o
  CC       src/test/src_test_test-test_logging.o
  CC       src/test/src_test_test-test_microdesc.o
  CC       src/test/src_test_test-test_nodelist.o
  CC       src/test/src_test_test-test_oom.o
  CC       src/test/src_test_test-test_options.o
  CC       src/test/src_test_test-test_policy.o
  CC       src/test/src_test_test-test_pt.o
  CC       src/test/src_test_test-test_relay.o
  CC       src/test/src_test_test-test_relaycell.o
  CC       src/test/src_test_test-test_replay.o
  CC       src/test/src_test_test-test_routerkeys.o
  CC       src/test/src_test_test-test_routerlist.o
  CC       src/test/src_test_test-test_routerset.o
  CC       src/test/src_test_test-test_scheduler.o
  CC       src/test/src_test_test-test_socks.o
  CC       src/test/src_test_test-test_status.o
  CC       src/test/src_test_test-test_threads.o
  CC       src/test/src_test_test-test_util.o
  CC       src/test/src_test_test-test_helpers.o
  CC       src/test/src_test_test-testing_common.o
  CC       src/ext/src_test_test-tinytest.o
  CCLD     src/test/test
  CC       src/test/src_test_test_slow-test_slow.o
  CC       src/test/src_test_test_slow-test_crypto_slow.o
  CC       src/test/src_test_test_slow-test_util_slow.o
  CC       src/test/src_test_test_slow-testing_common.o
  CC       src/ext/src_test_test_slow-tinytest.o
  CCLD     src/test/test-slow
  CC       src/test/test-child.o
  CCLD     src/test/test-child
  CC       src/test/src_test_test_workqueue-test_workqueue.o
  CCLD     src/test/test_workqueue
  CC       src/test/test_ntor_cl.o
  CCLD     src/test/test-ntor-cl
  CC       src/test/src_test_test_bt_cl-test_bt_cl.o
  CCLD     src/test/test-bt-cl
  CC       src/tools/tor-checkkey.o
  CCLD     src/tools/tor-checkkey
  GEN      doc/tor.1
  GEN      doc/tor-gencert.1
  GEN      doc/tor-resolve.1
  GEN      doc/torify.1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/security/tor-devel/work/tor-0.2.6.4-rc'
gmake[1]: Leaving directory '/wrkdirs/usr/ports/security/tor-devel/work/tor-0.2.6.4-rc'
===========================================================================
====>> Checking for filesystem violations... done
=======================<phase: run-depends    >============================
===========================================================================
====>> Recording filesystem state for prestage... done
=======================<phase: stage          >============================
===>  Staging for tor-devel-0.2.6.4.r
===>   tor-devel-0.2.6.4.r depends on shared library: libevent.so - found (/usr/local/lib/libevent-2.0.so.5.1.10)
===>   Generating temporary packing list
===> Creating users and/or groups.
gmake[1]: Entering directory '/wrkdirs/usr/ports/security/tor-devel/work/tor-0.2.6.4-rc'
gmake[2]: Entering directory '/wrkdirs/usr/ports/security/tor-devel/work/tor-0.2.6.4-rc'
 /bin/mkdir -p '/wrkdirs/usr/ports/security/tor-devel/work/stage/usr/local/bin'
  install  -s -o root -g wheel -m 555 src/or/tor src/tools/tor-resolve src/tools/tor-gencert '/wrkdirs/usr/ports/security/tor-devel/work/stage/usr/local/bin'
 /bin/mkdir -p '/wrkdirs/usr/ports/security/tor-devel/work/stage/usr/local/bin'
 install  -o root -g wheel -m 555 contrib/client-tools/torify '/wrkdirs/usr/ports/security/tor-devel/work/stage/usr/local/bin'
 /bin/mkdir -p '/wrkdirs/usr/ports/security/tor-devel/work/stage/usr/local/etc/tor'
 install  -o root -g wheel -m 0644 src/config/torrc.sample '/wrkdirs/usr/ports/security/tor-devel/work/stage/usr/local/etc/tor'
 /bin/mkdir -p '/wrkdirs/usr/ports/security/tor-devel/work/stage/usr/local/man/man1'
 install  -o root -g wheel -m 0644 doc/tor.1 doc/tor-gencert.1 doc/tor-resolve.1 doc/torify.1 '/wrkdirs/usr/ports/security/tor-devel/work/stage/usr/local/man/man1'
 /bin/mkdir -p '/wrkdirs/usr/ports/security/tor-devel/work/stage/usr/local/share/tor'
 install  -o root -g wheel -m 0644 src/config/geoip src/config/geoip6 '/wrkdirs/usr/ports/security/tor-devel/work/stage/usr/local/share/tor'
gmake[2]: Leaving directory '/wrkdirs/usr/ports/security/tor-devel/work/tor-0.2.6.4-rc'
gmake[1]: Leaving directory '/wrkdirs/usr/ports/security/tor-devel/work/tor-0.2.6.4-rc'
====> Compressing man pages (compress-man)
===> Staging rc.d startup script(s)
===========================================================================
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
====>> Checking for staging violations... done
=======================<phase: package        >============================
===>  Building package for tor-devel-0.2.6.4.r
/usr/local/lib/libevent-2.0.so.5.1.10
===========================================================================
=======================<phase: install-mtree  >============================
===========================================================================
====>> Recording filesystem state for preinst... done
=======================<phase: install        >============================
===>  Installing for tor-devel-0.2.6.4.r
===>   tor-devel-0.2.6.4.r depends on shared library: libevent.so - found (/usr/local/lib/libevent-2.0.so.5.1.10)
===>  Checking if tor-devel already installed
/usr/local/lib/libevent-2.0.so.5.1.10
===>   Registering installation for tor-devel-0.2.6.4.r
[fbsdport-ports-job-01] Installing tor-devel-0.2.6.4.r...
===> Creating users and/or groups.
Creating group '_tor' with gid '256'.
Creating user '_tor' with uid '256'.
================================================================================
To enable the tor server, set tor_enable="YES" in your /etc/rc.conf
and edit /usr/local/etc/tor/torrc as desired. (However, note that the
/usr/local/etc/rc.d/tor rc.subr script can override some torrc
options: see that script for details.) To use the torify script, install
the net/torsocks port. After installing tor for the first time, or after
a major update of tor, you should:

rm -r /var/db/tor /var/run/tor
mkdir -p /var/db/tor/data /var/run/tor
touch /var/log/tor
chown -R _tor:_tor /var/db/tor /var/log/tor /var/run/tor
chmod -R 700 /var/db/tor

before starting the tor server. Tor users are strongly advised to prevent traffic
analysis that exploits sequential IP IDs by setting:

sysctl net.inet.ip.random_id=1
================================================================================

===> SECURITY REPORT: 
      This port has installed the following files which may act as network
      servers and may therefore pose a remote security risk to the system.
/usr/local/bin/tor-resolve
/usr/local/bin/tor-gencert
/usr/local/bin/tor

      This port has installed the following startup scripts which may cause
      these network services to be started at boot time.
/usr/local/etc/rc.d/tor

      If there are vulnerabilities in these programs there may be a security
      risk to the system. FreeBSD makes no guarantee about the security of
      ports included in the Ports Collection. Please type 'make deinstall'
      to deinstall the port if this is a concern.

      For more information, and contact details about the security
      status of this software, see the following webpage: 
http://torproject.org/
===========================================================================
====>> Checking shared library dependencies
 0x0000000000000001 (NEEDED)             Shared library: [libc.so.7]
 0x0000000000000001 (NEEDED)             Shared library: [libcrypto.so.7]
 0x0000000000000001 (NEEDED)             Shared library: [libevent-2.0.so.5]
 0x0000000000000001 (NEEDED)             Shared library: [libm.so.5]
 0x0000000000000001 (NEEDED)             Shared library: [libssl.so.7]
 0x0000000000000001 (NEEDED)             Shared library: [libthr.so.3]
 0x0000000000000001 (NEEDED)             Shared library: [libz.so.6]
=======================<phase: deinstall      >============================
===>  Deinstalling for tor-devel
===>   Deinstalling tor-devel-0.2.6.4.r
Updating database digests format... done
Checking integrity... done (0 conflicting)
Deinstallation has been requested for the following 1 packages (of 0 packages in the universe):

Installed packages to be REMOVED:
	tor-devel-0.2.6.4.r

The operation will free 6 MiB.
[fbsdport-ports-job-01] [1/1] Deinstalling tor-devel-0.2.6.4.r...
==> You should manually remove the "_tor" user. 
[fbsdport-ports-job-01] [1/1] Deleting files for tor-devel-0.2.6.4.r... done
===========================================================================
====>> Checking for extra files and directories
====>> Cleaning up wrkdir
===>  Cleaning for tor-devel-0.2.6.4.r
build of security/tor-devel ended at Tue Mar 10 16:35:57 EDT 2015
build time: 00:00:55
Comment 3 Neel Chauhan freebsd_committer 2015-03-10 20:42:59 UTC
Created attachment 154169 [details]
poudriere build log for security/tor 0.2.6.4-rc

(In reply to Neel Chauhan from comment #1)
(In reply to Neel Chauhan from comment #2)
Sorry, uploaded the patch again as the poudriere build log.
Here is the poudriere build log, finally!
-Neel
Comment 4 Neel Chauhan freebsd_committer 2015-03-19 16:54:52 UTC

*** This bug has been marked as a duplicate of bug 198710 ***